package com.heyu.api.data.service.operation;
/**
* <p>
* 模式列表（大场景），运行场景列表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.operation.OperatinModeEntity;
public interface OperatinModeService extends IService<OperatinModeEntity> {



	OperatinModeEntity selectOperatinModeById(Long id);


	Long insertOperatinMode(OperatinModeEntity operatinMode);


	Long insertOrUpdateOperatinMode(OperatinModeEntity operatinMode);


	int updateOperatinModeById(OperatinModeEntity operatinMode);


	int updateCoverOperatinModeById(OperatinModeEntity operatinMode);


	int deleteOperatinModeById(Long id);


}